net.sf.okapi.lib.xliff2.core

## Enum TagType

- java.lang.Object
- - java.lang.Enum<TagType>
  - - net.sf.okapi.lib.xliff2.core.TagType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagType>

      public enum TagType
      extends java.lang.Enum<TagType>

  Possible types for tags: `OPENING`, `CLOSING` and `STANDALONE`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSING` Closing tag of a spanning code or closing tag for a marker.
    `OPENING` Opening tag of a spanning code or opening tag for a marker.
    `STANDALONE` Standalone marker for a standalone code.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPENING

          public static final TagType OPENING

      Opening tag of a spanning code or opening tag for a marker.

      For example, the tag representing the start tag of an HTML bold element.

    - #### CLOSING

          public static final TagType CLOSING

      Closing tag of a spanning code or closing tag for a marker.

      For example, the tag representing the end tag of an HTML bold element.

    - #### STANDALONE

          public static final TagType STANDALONE

      Standalone marker for a standalone code.

      For example, the tag for the code representing an HTML line break.

      This type is not used for markers (`MTag`).

  - ### Method Detail

    - #### values

          public static TagType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagType c : TagType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null